Subject: gdb bus error for unaligned access

From: Jun Sun <[email-masked]>
Date: Thu, 26 Oct 2000 19:09:11 -0700

Ralf,

This is the long-overdue patch for kgdb.  It gets rid of "BUS signal"
for unaligned accesses in kgdb mode.

Jun

diff -Nru linux/arch/mips/kernel/gdb-stub.c.orig
linux/arch/mips/kernel/gdb-stub.c
--- linux/arch/mips/kernel/gdb-stub.c.orig      Wed Oct 25 11:08:20 2000
+++ linux/arch/mips/kernel/gdb-stub.c   Thu Oct 26 19:05:07 2000
@@ -320,8 +320,9 @@
        unsigned char tt;               /* Trap type code for MIPS R3xxx
and R4xxx */
        unsigned char signo;            /* Signal that we map this trap
into */
 } hard_trap_info[] = {
-       { 4, SIGBUS },                  /* address error (load) */
-       { 5, SIGBUS },                  /* address error (store) */
+/* [jsun] kernel emulates unaligned access */
+/*     { 4, SIGBUS },          */      /* address error (load) */
+/*     { 5, SIGBUS },          */      /* address error (store) */
        { 6, SIGBUS },                  /* instruction bus error */
        { 7, SIGBUS },                  /* data bus error */
        { 9, SIGTRAP },                 /* break */